#
# spec file for package python-pytest-parallel
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pytest-parallel
Version:        0.0.9
Release:        bp154.1.14
License:        MIT
Summary:        Pytest plugin for parallel and concurrent testing
Url:            https://github.com/browsertron/pytest-parallel
Group:          Development/Languages/Python
Source:         https://github.com/browsertron/pytest-parallel/archive/0.0.9.tar.gz#/pytest-parallel-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.0.0}
BuildRequires:  %{python_module pytest-html}
# /SECTION
BuildRequires:  fdupes
Requires:       python-pytest >= 3.0.0
BuildArch:      noarch

%python_subpackages

%description
A pytest plugin for parallel and concurrent testing.

%prep
%setup -q -n pytest-parallel-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Sep  3 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.0.9
